Name: wine-kviewer
Version: 8
Release: alt0.2

Summary: KOMPAS Viewer prepacked for WINE
License: restricted
Group: Emulators
Url: http://www.kompas.ru/

Source: %name-%version.tar.bz2
Source1: %name.png
Source2: wine-preplauncher.sh
Source3: %name.desktop
Source4: wine-kompas3dlt.xml
Source5: x-kompas.desktop

Requires: wine >= 20050715
Requires: gost-fonts-ttf, ms-fonts-ttf
AutoReq: no

# For menu/MIME subsystem
Requires(post,postun): desktop-file-utils
BuildPreReq: desktop-file-utils
BuildPreReq: menu-devel

%description
KOMPAS-3D Viewer V8

%prep
%setup -q

%install

%__install -d %buildroot/%_libdir/%name
%__cp -rp * %buildroot/%_libdir/%name
%__install -d %buildroot/%_bindir

# For automatic updates
echo %name-%version-%release > %buildroot/%_libdir/%name/release

cat >%buildroot/%_bindir/%name <<EOF
#!/bin/sh
PROJECTNAME=%name
APPPATH="Program Files/ASCON/KOMPAS-3D Viewer V8/"
APPEXE="BIN\\\\kviewer.exe"
#WRITABLE=1
EOF
cat %SOURCE2 >>%buildroot/%_bindir/%name

%__install -D -m 644 %SOURCE1 $RPM_BUILD_ROOT/%_iconsdir/%name.png

%__install -D -m 644 %SOURCE3 %buildroot%_datadir/applications/%name.desktop
%__install -D -m 644 %SOURCE4 %buildroot%_datadir/mime/packages/%name.xml
%__install -D -m 644 %SOURCE5 %buildroot%_datadir/mimelnk/application/x-kompas.desktop

%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl %name "Multimedia/Graphics" \
   %buildroot%_datadir/applications/%name.desktop \
   %buildroot%_menudir/%name

%post
%update_menus
%update_desktopdb

%postun
%clean_menus
%clean_desktopdb

%files
%attr(0755, root, root) %_bindir/%name
%_libdir/%name
%_iconsdir/%name.png
%_menudir/*
%_datadir/applications/%name.desktop
%_datadir/mimelnk/application/*
%_datadir/mime/packages/%name.xml

%changelog
* Thu Sep 22 2005 Vitaly Lipatov <lav@altlinux.ru> 8-alt0.2
- add support for KDE file MIME association

* Thu Sep 22 2005 Vitaly Lipatov <lav@altlinux.ru> 8-alt0.1
- new version

* Mon Aug 22 2005 Vitaly Lipatov <lav@altlinux.ru> 7-alt0.4
- made clean install (without DCOM) Viewer from scratch
- correct parameters handling

* Tue Aug 02 2005 Vitaly Lipatov <lav@altlinux.ru> 7-alt0.3
- add require ms-fonts-ttf (used in main dialog)

* Fri Jul 22 2005 Vitaly Lipatov <lav@altlinux.ru> 7-alt0.2
- build with new WINE

* Thu Jul 07 2005 Vitaly Lipatov <lav@altlinux.ru> 7-alt0.1
- test build for ALT Linux Sisyphus
